Bug 990932 - Review Request: erlang-riaknostic - A diagnostic tool for Riak installations
Review Request: erlang-riaknostic - A diagnostic tool for Riak installations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 04:54 EDT by Peter Lemenkov
Modified: 2013-08-06 10:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: erlang-riaknostic-1.1.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 10:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2013-08-01 04:54:11 EDT
Spec URL: http://peter.fedorapeople.org/erlang-riaknostic.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riaknostic-1.1.0-1.fc20.src.rpm
Description: A set of tools that diagnoses common problems which could affect a Riak node or cluster. When experiencing any problem with Riak, riaknostic should be the first thing run during troubleshooting. The tool is integrated with Riak via the riak-admin script.
Fedora Account System Username: peter

This is one of the requirements for Riak 1.3.2+.

Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5687654
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-08-05 17:48:21 EDT
Hi Peter,
I found some small issues:

rpmlint output:

erlang-riaknostic.src: W: spelling-error %description -l en_US riak → false positive
erlang-riaknostic.src: W: invalid-url Source0: basho-riaknostic-v1.1.0-0-g8cfb08e.tar.gz → You can use github link like https://github.com/basho/riaknostic/archive/v1.1.0.tar.gz, which should give the same file.

Also, there's a new upstream release v1.2.0.

erlang-riaknostic.x86_64: W: spelling-error %description -l en_US riak → false positive

erlang-riaknostic.x86_64: E: no-binary
erlang-riaknostic.x86_64: W: only-non-binary-in-usr-lib
→ both are normal for Erlang-related packages

Is the package really usable without riak-admin? The documentation mentions that it can be run standalone for testing purposes... I don't know almost anything about riak, so I'm guessing here, but I think that it should have Requires:riak.

Also, maybe the description could be updated to say "is a plugin for riak-admin" instead of "is integrated with ...", just to be more direct.

So, the only two non-suggestion things are Source and the new upstream release. I'll do a point-by-point review when that is fixed.
Comment 2 Christopher Meng 2013-08-05 21:00:57 EDT
Should we add VCS tag? I think rpm doesn't support checkout from git and install, not sure if we need that.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-08-05 21:54:18 EDT
(In reply to Christopher Meng from comment #2)
> Should we add VCS tag? I think rpm doesn't support checkout from git and
> install, not sure if we need that.
I don't think a tag is needed. rpm just uses the provided tarball, and doesn't use the URL in Source directly. github allows to download a tarball from any commit, tagged or not.
Comment 4 Peter Lemenkov 2013-08-06 07:54:33 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Hi Peter,
> I found some small issues:
> 
> rpmlint output:
> 
> erlang-riaknostic.src: W: spelling-error %description -l en_US riak → false
> positive
> erlang-riaknostic.src: W: invalid-url Source0:
> basho-riaknostic-v1.1.0-0-g8cfb08e.tar.gz → You can use github link like
> https://github.com/basho/riaknostic/archive/v1.1.0.tar.gz, which should give
> the same file.
> 
> Also, there's a new upstream release v1.2.0.
> 
> erlang-riaknostic.x86_64: W: spelling-error %description -l en_US riak →
> false positive
> 
> erlang-riaknostic.x86_64: E: no-binary
> erlang-riaknostic.x86_64: W: only-non-binary-in-usr-lib
> → both are normal for Erlang-related packages
> 
> Is the package really usable without riak-admin? The documentation mentions
> that it can be run standalone for testing purposes... I don't know almost
> anything about riak, so I'm guessing here, but I think that it should have
> Requires:riak.
> 
> Also, maybe the description could be updated to say "is a plugin for
> riak-admin" instead of "is integrated with ...", just to be more direct.
> 
> So, the only two non-suggestion things are Source and the new upstream
> release. I'll do a point-by-point review when that is fixed.
Comment 5 Peter Lemenkov 2013-08-06 08:08:51 EDT
Sorry, submitted too fast.

(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)

> erlang-riaknostic.src: W: invalid-url Source0:
> basho-riaknostic-v1.1.0-0-g8cfb08e.tar.gz → You can use github link like
> https://github.com/basho/riaknostic/archive/v1.1.0.tar.gz, which should give
> the same file.

Fixed.

> Also, there's a new upstream release v1.2.0.

Yes, I'm aware of this. But I can't use 1.2.0 until I upgrade to Riak 1.4.x (I plan to update in Fedora 21).

> Is the package really usable without riak-admin? The documentation mentions
> that it can be run standalone for testing purposes... I don't know almost
> anything about riak, so I'm guessing here, but I think that it should have
> Requires:riak.

It's not a standalone package - it's a library. README doesn't properly describes that.

riak-admin is the script from riak package which could use riaknostic if this library is available. So it's  riak who is dependent upon riaknostic, not the opposite.

> Also, maybe the description could be updated to say "is a plugin for
> riak-admin" instead of "is integrated with ...", just to be more direct.

Yes, definitely!

New package:

* http://peter.fedorapeople.org/erlang-riaknostic.spec
* http://peter.fedorapeople.org/erlang-riaknostic-1.1.0-1.fc20.src.rpm


(In reply to Christopher Meng from comment #2)
> Should we add VCS tag? I think rpm doesn't support checkout from git and
> install, not sure if we need that.

I added this mostly for the reference.
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-08-06 09:03:43 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is not completely silent
erlang-riaknostic.spec: W: invalid-url Source0: https://github.com/basho/riaknostic/archive/1.1.0/riaknostic-1.1.0.tar.gz HTTP Error 404: Not Found
^^^ I think it should be https://github.com/basho/riaknostic/archive/v1.1.0.tar.gz

0 packages and 1 specfiles checked; 0 errors, 1 warnings.

erlang-riaknostic.x86_64: W: spelling-error %description -l en_US riak -> risk, rial, rink
erlang-riaknostic.x86_64: E: no-binary
erlang-riaknostic.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
^^^ false positives

+ The package is named according to the  Package Naming Guidelines.
Package follows erlang package naming guidelines.

+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Apache License v. 2).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
- The sources used to build the package, match the upstream source, as provided in the spec URL.
Please use https://github.com/basho/riaknostic/archive/v1.1.0.tar.gz as the Source. 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
Is the explicit version in 'erlang-erts >= R13B' necessary? Isn't R13B ancient?

0 No need to handle locales.
0 The package doesn't store shared library files.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package MUST own all directories that it creates.
+ The package doesn't list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No static libraries.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 7 Peter Lemenkov 2013-08-06 09:12:56 EDT
Thanks!

New Package SCM Request
=======================
Package Name: erlang-riaknostic
Short Description: A diagnostic tool for Riak installations
Owners: peter
Branches: f19 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-06 10:10:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.